Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SPI/FieldType/GatewayBasedStorage.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\SPI\FieldType;
8
9 use eZ\Publish\SPI\Persistence\Content\Field;
10 use eZ\Publish\SPI\Persistence\Content\VersionInfo;
11
15 abstract class GatewayBasedStorage implements FieldStorage
16 {
22 protected $gateway;
23
27 public function __construct(StorageGateway $gateway)
28 {
29 $this->gateway = $gateway;
30 }
31
46 public function copyLegacyField(VersionInfo $versionInfo, Field $field, Field $originalField, array $context)
47 {
48 return $this->storeFieldData($versionInfo, $field, $context);
49 }
50 }
eZ\Publish\SPI\FieldType\GatewayBasedStorage
Field Type External Storage gateway base class.
Definition: SPI/FieldType/GatewayBasedStorage.php:16
eZ\Publish\SPI\FieldType\GatewayBasedStorage\__construct
__construct(StorageGateway $gateway)
Definition: SPI/FieldType/GatewayBasedStorage.php:27
eZ\Publish\SPI\FieldType\GatewayBasedStorage\copyLegacyField
copyLegacyField(VersionInfo $versionInfo, Field $field, Field $originalField, array $context)
This method is used exclusively by Legacy Storage to copy external data of existing field in main lan...
Definition: SPI/FieldType/GatewayBasedStorage.php:46
eZ\Publish\SPI\FieldType\GatewayBasedStorage\$gateway
$gateway
Definition: SPI/FieldType/GatewayBasedStorage.php:22
eZ\Publish\SPI\FieldType\StorageGateway
Base class for FieldType external storage gateways.
Definition: SPI/FieldType/StorageGateway.php:13
eZ\Publish\SPI\Persistence\Content\Field
Definition: SPI/Persistence/Content/Field.php:12
eZ\Publish\SPI\Persistence\Content\VersionInfo
This class holds version information data.
Definition: SPI/Persistence/Content/VersionInfo.php:15
eZ\Publish\SPI\FieldType\FieldStorage
Interface for setting field type data.
Definition: FieldStorage.php:29
eZ\Publish\SPI\FieldType\FieldStorage\storeFieldData
storeFieldData(VersionInfo $versionInfo, Field $field, array $context)
Allows custom field types to store data in an external source (e.g.
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.